package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag711;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT711Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag46ACreator extends AbsTagCreate {

     private MT711Creator mt711Creator;

    public Tag46ACreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt711Creator= (MT711Creator) absMTCreator;
    }

    public void creator()
    {
        String tag46AValue = mt711Creator.getDocumentsRequired();
        mt711Creator.set("46A", tag46AValue);
    }
}

